# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/).

## [1.0.5] - 2019-06-23
### Changed
- Fixed bug with AssignableExpression and increment operators (see https://github.com/dart-lang/language/issues/381)
- Removed test cases from arguments, expressions, primary, and selectors that were not actually allowed in dart lang
- Applied dartdoc style to comments
- Applied dartfmt to all classes
- Updated KNOWN_ERRORS.txt
- Updated the README

## [1.0.4] - 2019-06-13
### Changed
- Made the main source_parser.dart script export generic ParserType and exceptions
- Updated the README

## [1.0.3] - 2019-06-06
### Changed
- Made the main source_parser.dart script export all necessary scripts
- Fixed bug with FunctionSignature being declared in two separate places

## [1.0.2] - 2019-06-06
### Added
- examples folder containing a basic example using the parser

### Changed
- Made many style changes to improve pub score

## [1.0.1] - 2019-06-06
### Changed
- Made naming changes to match the changes necessary for the package to be uploaded

### Removed
- Removed outdated example code

## [1.0.0] - 2019-06-06
### Added
- The first initial commit containing required code for parsing
